#include <linux/sdt.h>
extern void crypto_engine_start(void);
extern void crypto_finalize_cipher_request(void);
extern void __dta_crypto_pump_requests_constprop_0_70(void);
extern void crypto_engine_stop(void);
extern void crypto_transfer_hash_request(void);
extern void crypto_transfer_cipher_request(void);
extern void crypto_finalize_hash_request(void);

static sdt_probedesc_t	_sdt_probes[] = {
  {"__lockstat_spin__acquire",  "crypto_engine_start" /* .text.crypto_engine_start */, 0 /* sdt_args string */, (uintptr_t)crypto_engine_start+0x0000000000000048 },
  {"__lockstat_spin__release",  "crypto_engine_start" /* .text.crypto_engine_start */, 0 /* sdt_args string */, (uintptr_t)crypto_engine_start+0x0000000000000080 },
  {"__lockstat_spin__release",  "crypto_engine_start" /* .text.crypto_engine_start */, 0 /* sdt_args string */, (uintptr_t)crypto_engine_start+0x00000000000000d4 },
  {"__lockstat_spin__acquire",  "crypto_engine_stop" /* .text.crypto_engine_stop */, 0 /* sdt_args string */, (uintptr_t)crypto_engine_stop+0x000000000000004c },
  {"__lockstat_spin__release",  "crypto_engine_stop" /* .text.crypto_engine_stop */, 0 /* sdt_args string */, (uintptr_t)crypto_engine_stop+0x0000000000000088 },
  {"__lockstat_spin__acquire",  "crypto_engine_stop" /* .text.crypto_engine_stop */, 0 /* sdt_args string */, (uintptr_t)crypto_engine_stop+0x00000000000000c0 },
  {"__lockstat_spin__release",  "crypto_engine_stop" /* .text.crypto_engine_stop */, 0 /* sdt_args string */, (uintptr_t)crypto_engine_stop+0x00000000000000f8 },
  {"__lockstat_spin__acquire",  "crypto_finalize_cipher_request" /* .text.crypto_finalize_cipher_request */, 0 /* sdt_args string */, (uintptr_t)crypto_finalize_cipher_request+0x0000000000000054 },
  {"__lockstat_spin__release",  "crypto_finalize_cipher_request" /* .text.crypto_finalize_cipher_request */, 0 /* sdt_args string */, (uintptr_t)crypto_finalize_cipher_request+0x0000000000000078 },
  {"__lockstat_spin__acquire",  "crypto_finalize_cipher_request" /* .text.crypto_finalize_cipher_request */, 0 /* sdt_args string */, (uintptr_t)crypto_finalize_cipher_request+0x00000000000000d4 },
  {"__lockstat_spin__release",  "crypto_finalize_cipher_request" /* .text.crypto_finalize_cipher_request */, 0 /* sdt_args string */, (uintptr_t)crypto_finalize_cipher_request+0x00000000000000fc },
  {"__lockstat_spin__acquire",  "crypto_finalize_hash_request" /* .text.crypto_finalize_hash_request */, 0 /* sdt_args string */, (uintptr_t)crypto_finalize_hash_request+0x0000000000000054 },
  {"__lockstat_spin__release",  "crypto_finalize_hash_request" /* .text.crypto_finalize_hash_request */, 0 /* sdt_args string */, (uintptr_t)crypto_finalize_hash_request+0x0000000000000078 },
  {"__lockstat_spin__acquire",  "crypto_finalize_hash_request" /* .text.crypto_finalize_hash_request */, 0 /* sdt_args string */, (uintptr_t)crypto_finalize_hash_request+0x00000000000000d4 },
  {"__lockstat_spin__release",  "crypto_finalize_hash_request" /* .text.crypto_finalize_hash_request */, 0 /* sdt_args string */, (uintptr_t)crypto_finalize_hash_request+0x00000000000000fc },
  {"__lockstat_spin__acquire",  "crypto_pump_requests" /* .text.crypto_pump_requests.constprop.0 */, 0 /* sdt_args string */, (uintptr_t)__dta_crypto_pump_requests_constprop_0_70+0x000000000000004c },
  {"__lockstat_spin__release",  "crypto_pump_requests" /* .text.crypto_pump_requests.constprop.0 */, 0 /* sdt_args string */, (uintptr_t)__dta_crypto_pump_requests_constprop_0_70+0x0000000000000074 },
  {"__lockstat_spin__release",  "crypto_pump_requests" /* .text.crypto_pump_requests.constprop.0 */, 0 /* sdt_args string */, (uintptr_t)__dta_crypto_pump_requests_constprop_0_70+0x000000000000010c },
  {"__lockstat_spin__release",  "crypto_pump_requests" /* .text.crypto_pump_requests.constprop.0 */, 0 /* sdt_args string */, (uintptr_t)__dta_crypto_pump_requests_constprop_0_70+0x00000000000001d0 },
  {"__lockstat_spin__acquire",  "crypto_pump_requests" /* .text.crypto_pump_requests.constprop.0 */, 0 /* sdt_args string */, (uintptr_t)__dta_crypto_pump_requests_constprop_0_70+0x0000000000000218 },
  {"__lockstat_spin__acquire",  "crypto_transfer_cipher_request" /* .text.crypto_transfer_cipher_request */, 0 /* sdt_args string */, (uintptr_t)crypto_transfer_cipher_request+0x0000000000000054 },
  {"__lockstat_spin__release",  "crypto_transfer_cipher_request" /* .text.crypto_transfer_cipher_request */, 0 /* sdt_args string */, (uintptr_t)crypto_transfer_cipher_request+0x000000000000009c },
  {"__lockstat_spin__release",  "crypto_transfer_cipher_request" /* .text.crypto_transfer_cipher_request */, 0 /* sdt_args string */, (uintptr_t)crypto_transfer_cipher_request+0x00000000000000fc },
  {"__lockstat_spin__acquire",  "crypto_transfer_hash_request" /* .text.crypto_transfer_hash_request */, 0 /* sdt_args string */, (uintptr_t)crypto_transfer_hash_request+0x0000000000000054 },
  {"__lockstat_spin__release",  "crypto_transfer_hash_request" /* .text.crypto_transfer_hash_request */, 0 /* sdt_args string */, (uintptr_t)crypto_transfer_hash_request+0x000000000000009c },
  {"__lockstat_spin__release",  "crypto_transfer_hash_request" /* .text.crypto_transfer_hash_request */, 0 /* sdt_args string */, (uintptr_t)crypto_transfer_hash_request+0x00000000000000fc },
};

#define _sdt_probec	26
