#include <linux/sdt.h>
extern void dm_deferred_entry_inc(void);
extern void dm_cell_put_v2(void);
extern void dm_cell_visit_release(void);
extern void dm_cell_release_no_holder(void);
extern void __dta_bio_detain_123(void);
extern void dm_deferred_set_add_work(void);
extern void dm_deferred_entry_dec(void);
extern void dm_cell_unlock_v2(void);
extern void dm_cell_release(void);
extern void dm_cell_promote_or_release(void);
extern void dm_cell_lock_promote_v2(void);
extern void dm_cell_get_v2(void);
extern void dm_cell_lock_v2(void);
extern void dm_cell_quiesce_v2(void);

static sdt_probedesc_t	_sdt_probes[] = {
  {"__lockstat_spin__acquire",  "bio_detain" /* .text.bio_detain */, 0 /* sdt_args string */, (uintptr_t)__dta_bio_detain_123+0x000000000000005c },
  {"__lockstat_spin__release",  "bio_detain" /* .text.bio_detain */, 0 /* sdt_args string */, (uintptr_t)__dta_bio_detain_123+0x0000000000000118 },
  {"__lockstat_spin__acquire",  "dm_cell_get_v2" /* .text.dm_cell_get_v2 */, 0 /* sdt_args string */, (uintptr_t)dm_cell_get_v2+0x0000000000000064 },
  {"__lockstat_spin__release",  "dm_cell_get_v2" /* .text.dm_cell_get_v2 */, 0 /* sdt_args string */, (uintptr_t)dm_cell_get_v2+0x00000000000000e4 },
  {"__lockstat_spin__acquire",  "dm_cell_lock_promote_v2" /* .text.dm_cell_lock_promote_v2 */, 0 /* sdt_args string */, (uintptr_t)dm_cell_lock_promote_v2+0x0000000000000054 },
  {"__lockstat_spin__release",  "dm_cell_lock_promote_v2" /* .text.dm_cell_lock_promote_v2 */, 0 /* sdt_args string */, (uintptr_t)dm_cell_lock_promote_v2+0x000000000000008c },
  {"__lockstat_spin__acquire",  "dm_cell_lock_v2" /* .text.dm_cell_lock_v2 */, 0 /* sdt_args string */, (uintptr_t)dm_cell_lock_v2+0x0000000000000070 },
  {"__lockstat_spin__release",  "dm_cell_lock_v2" /* .text.dm_cell_lock_v2 */, 0 /* sdt_args string */, (uintptr_t)dm_cell_lock_v2+0x00000000000000f8 },
  {"__lockstat_spin__acquire",  "dm_cell_promote_or_release" /* .text.dm_cell_promote_or_release */, 0 /* sdt_args string */, (uintptr_t)dm_cell_promote_or_release+0x0000000000000048 },
  {"__lockstat_spin__release",  "dm_cell_promote_or_release" /* .text.dm_cell_promote_or_release */, 0 /* sdt_args string */, (uintptr_t)dm_cell_promote_or_release+0x0000000000000084 },
  {"__lockstat_spin__acquire",  "dm_cell_put_v2" /* .text.dm_cell_put_v2 */, 0 /* sdt_args string */, (uintptr_t)dm_cell_put_v2+0x0000000000000050 },
  {"__lockstat_spin__release",  "dm_cell_put_v2" /* .text.dm_cell_put_v2 */, 0 /* sdt_args string */, (uintptr_t)dm_cell_put_v2+0x00000000000000ac },
  {"__lockstat_spin__acquire",  "dm_cell_quiesce_v2" /* .text.dm_cell_quiesce_v2 */, 0 /* sdt_args string */, (uintptr_t)dm_cell_quiesce_v2+0x0000000000000054 },
  {"__lockstat_spin__release",  "dm_cell_quiesce_v2" /* .text.dm_cell_quiesce_v2 */, 0 /* sdt_args string */, (uintptr_t)dm_cell_quiesce_v2+0x0000000000000080 },
  {"__lockstat_spin__acquire",  "dm_cell_release" /* .text.dm_cell_release */, 0 /* sdt_args string */, (uintptr_t)dm_cell_release+0x000000000000004c },
  {"__lockstat_spin__release",  "dm_cell_release" /* .text.dm_cell_release */, 0 /* sdt_args string */, (uintptr_t)dm_cell_release+0x00000000000000a8 },
  {"__lockstat_spin__acquire",  "dm_cell_release_no_holder" /* .text.dm_cell_release_no_holder */, 0 /* sdt_args string */, (uintptr_t)dm_cell_release_no_holder+0x000000000000004c },
  {"__lockstat_spin__release",  "dm_cell_release_no_holder" /* .text.dm_cell_release_no_holder */, 0 /* sdt_args string */, (uintptr_t)dm_cell_release_no_holder+0x0000000000000090 },
  {"__lockstat_spin__acquire",  "dm_cell_unlock_v2" /* .text.dm_cell_unlock_v2 */, 0 /* sdt_args string */, (uintptr_t)dm_cell_unlock_v2+0x0000000000000054 },
  {"__lockstat_spin__release",  "dm_cell_unlock_v2" /* .text.dm_cell_unlock_v2 */, 0 /* sdt_args string */, (uintptr_t)dm_cell_unlock_v2+0x00000000000000ac },
  {"__lockstat_spin__acquire",  "dm_cell_visit_release" /* .text.dm_cell_visit_release */, 0 /* sdt_args string */, (uintptr_t)dm_cell_visit_release+0x0000000000000054 },
  {"__lockstat_spin__release",  "dm_cell_visit_release" /* .text.dm_cell_visit_release */, 0 /* sdt_args string */, (uintptr_t)dm_cell_visit_release+0x0000000000000088 },
  {"__lockstat_spin__acquire",  "dm_deferred_entry_dec" /* .text.dm_deferred_entry_dec */, 0 /* sdt_args string */, (uintptr_t)dm_deferred_entry_dec+0x000000000000004c },
  {"__lockstat_spin__release",  "dm_deferred_entry_dec" /* .text.dm_deferred_entry_dec */, 0 /* sdt_args string */, (uintptr_t)dm_deferred_entry_dec+0x0000000000000144 },
  {"__lockstat_spin__acquire",  "dm_deferred_entry_inc" /* .text.dm_deferred_entry_inc */, 0 /* sdt_args string */, (uintptr_t)dm_deferred_entry_inc+0x0000000000000040 },
  {"__lockstat_spin__release",  "dm_deferred_entry_inc" /* .text.dm_deferred_entry_inc */, 0 /* sdt_args string */, (uintptr_t)dm_deferred_entry_inc+0x0000000000000074 },
  {"__lockstat_spin__acquire",  "dm_deferred_set_add_work" /* .text.dm_deferred_set_add_work */, 0 /* sdt_args string */, (uintptr_t)dm_deferred_set_add_work+0x0000000000000048 },
  {"__lockstat_spin__release",  "dm_deferred_set_add_work" /* .text.dm_deferred_set_add_work */, 0 /* sdt_args string */, (uintptr_t)dm_deferred_set_add_work+0x00000000000000d8 },
};

#define _sdt_probec	28
