#include <linux/sdt.h>
extern void ivtv_queue_move(void);
extern void ivtv_enqueue(void);
extern void ivtv_udma_prepare(void);
extern void ivtv_dma_stream_dec_prepare(void);
extern void ivtv_find_hw(void);
extern void ivtv_set_output_mode(void);
extern void ivtv_irq_handler(void);
extern void ivtv_dequeue(void);

static sdt_probedesc_t	_sdt_probes[] = {
  {"__lockstat_spin__acquire",  "ivtv_dequeue" /* .text.ivtv_dequeue */, 0 /* sdt_args string */, (uintptr_t)ivtv_dequeue+0x0000000000000050 },
  {"__lockstat_spin__release",  "ivtv_dequeue" /* .text.ivtv_dequeue */, 0 /* sdt_args string */, (uintptr_t)ivtv_dequeue+0x00000000000000c4 },
  {"__lockstat_spin__acquire",  "ivtv_dma_stream_dec_prepare" /* .text.ivtv_dma_stream_dec_prepare */, 0 /* sdt_args string */, (uintptr_t)ivtv_dma_stream_dec_prepare+0x00000000000002b4 },
  {"__lockstat_spin__release",  "ivtv_dma_stream_dec_prepare" /* .text.ivtv_dma_stream_dec_prepare */, 0 /* sdt_args string */, (uintptr_t)ivtv_dma_stream_dec_prepare+0x00000000000002e4 },
  {"__lockstat_spin__acquire",  "ivtv_enqueue" /* .text.ivtv_enqueue */, 0 /* sdt_args string */, (uintptr_t)ivtv_enqueue+0x0000000000000060 },
  {"__lockstat_spin__release",  "ivtv_enqueue" /* .text.ivtv_enqueue */, 0 /* sdt_args string */, (uintptr_t)ivtv_enqueue+0x00000000000000d4 },
  {"__lockstat_spin__acquire",  "ivtv_find_hw" /* .text.ivtv_find_hw */, 0 /* sdt_args string */, (uintptr_t)ivtv_find_hw+0x0000000000000044 },
  {"__lockstat_spin__release",  "ivtv_find_hw" /* .text.ivtv_find_hw */, 0 /* sdt_args string */, (uintptr_t)ivtv_find_hw+0x00000000000000ac },
  {"__lockstat_spin__acquire",  "ivtv_irq_handler" /* .text.ivtv_irq_handler */, 0 /* sdt_args string */, (uintptr_t)ivtv_irq_handler+0x000000000000005c },
  {"__lockstat_spin__release",  "ivtv_irq_handler" /* .text.ivtv_irq_handler */, 0 /* sdt_args string */, (uintptr_t)ivtv_irq_handler+0x0000000000000264 },
  {"__lockstat_spin__release",  "ivtv_irq_handler" /* .text.ivtv_irq_handler */, 0 /* sdt_args string */, (uintptr_t)ivtv_irq_handler+0x0000000000000810 },
  {"__lockstat_spin__acquire",  "ivtv_queue_move" /* .text.ivtv_queue_move */, 0 /* sdt_args string */, (uintptr_t)ivtv_queue_move+0x000000000000006c },
  {"__lockstat_spin__release",  "ivtv_queue_move" /* .text.ivtv_queue_move */, 0 /* sdt_args string */, (uintptr_t)ivtv_queue_move+0x00000000000001ec },
  {"__lockstat_spin__release",  "ivtv_queue_move" /* .text.ivtv_queue_move */, 0 /* sdt_args string */, (uintptr_t)ivtv_queue_move+0x00000000000002cc },
  {"__lockstat_spin__acquire",  "ivtv_set_output_mode" /* .text.ivtv_set_output_mode */, 0 /* sdt_args string */, (uintptr_t)ivtv_set_output_mode+0x0000000000000044 },
  {"__lockstat_spin__release",  "ivtv_set_output_mode" /* .text.ivtv_set_output_mode */, 0 /* sdt_args string */, (uintptr_t)ivtv_set_output_mode+0x0000000000000074 },
  {"__lockstat_spin__acquire",  "ivtv_udma_prepare" /* .text.ivtv_udma_prepare */, 0 /* sdt_args string */, (uintptr_t)ivtv_udma_prepare+0x000000000000004c },
  {"__lockstat_spin__release",  "ivtv_udma_prepare" /* .text.ivtv_udma_prepare */, 0 /* sdt_args string */, (uintptr_t)ivtv_udma_prepare+0x000000000000007c },
};

#define _sdt_probec	18
