#include <linux/sdt.h>
extern void __dta_virtio_transport_alloc_pkt_213(void);
extern void virtio_transport_recv_pkt(void);
extern void virtio_transport_inc_tx_pkt(void);
extern void virtio_transport_get_credit(void);
extern void virtio_transport_stream_has_space(void);
extern void virtio_transport_stream_dequeue(void);
extern void virtio_transport_put_credit(void);
extern void virtio_transport_stream_has_data(void);

static sdt_probedesc_t	_sdt_probes[] = {
  {"__perf_virtio_transport_alloc_pkt",  "virtio_transport_alloc_pkt" /* .text.virtio_transport_alloc_pkt */, 0 /* sdt_args string */, (uintptr_t)__dta_virtio_transport_alloc_pkt_213+0x00000000000000d4 },
  {"__lockstat_spin__acquire",  "virtio_transport_get_credit" /* .text.virtio_transport_get_credit */, 0 /* sdt_args string */, (uintptr_t)virtio_transport_get_credit+0x000000000000005c },
  {"__lockstat_spin__release",  "virtio_transport_get_credit" /* .text.virtio_transport_get_credit */, 0 /* sdt_args string */, (uintptr_t)virtio_transport_get_credit+0x000000000000009c },
  {"__lockstat_spin__acquire",  "virtio_transport_inc_tx_pkt" /* .text.virtio_transport_inc_tx_pkt */, 0 /* sdt_args string */, (uintptr_t)virtio_transport_inc_tx_pkt+0x0000000000000058 },
  {"__lockstat_spin__release",  "virtio_transport_inc_tx_pkt" /* .text.virtio_transport_inc_tx_pkt */, 0 /* sdt_args string */, (uintptr_t)virtio_transport_inc_tx_pkt+0x0000000000000088 },
  {"__lockstat_spin__acquire",  "virtio_transport_put_credit" /* .text.virtio_transport_put_credit */, 0 /* sdt_args string */, (uintptr_t)virtio_transport_put_credit+0x0000000000000058 },
  {"__lockstat_spin__release",  "virtio_transport_put_credit" /* .text.virtio_transport_put_credit */, 0 /* sdt_args string */, (uintptr_t)virtio_transport_put_credit+0x0000000000000084 },
  {"__perf_virtio_transport_recv_pkt",  "virtio_transport_recv_pkt" /* .text.virtio_transport_recv_pkt */, 0 /* sdt_args string */, (uintptr_t)virtio_transport_recv_pkt+0x00000000000000b4 },
  {"__lockstat_spin__acquire",  "virtio_transport_recv_pkt" /* .text.virtio_transport_recv_pkt */, 0 /* sdt_args string */, (uintptr_t)virtio_transport_recv_pkt+0x00000000000001f8 },
  {"__lockstat_spin__release",  "virtio_transport_recv_pkt" /* .text.virtio_transport_recv_pkt */, 0 /* sdt_args string */, (uintptr_t)virtio_transport_recv_pkt+0x0000000000000238 },
  {"__lockstat_spin__acquire",  "virtio_transport_recv_pkt" /* .text.virtio_transport_recv_pkt */, 0 /* sdt_args string */, (uintptr_t)virtio_transport_recv_pkt+0x0000000000000538 },
  {"__lockstat_spin__release",  "virtio_transport_recv_pkt" /* .text.virtio_transport_recv_pkt */, 0 /* sdt_args string */, (uintptr_t)virtio_transport_recv_pkt+0x0000000000000598 },
  {"__lockstat_spin__acquire",  "virtio_transport_stream_dequeue" /* .text.virtio_transport_stream_dequeue */, 0 /* sdt_args string */, (uintptr_t)virtio_transport_stream_dequeue+0x000000000000008c },
  {"__lockstat_spin__release",  "virtio_transport_stream_dequeue" /* .text.virtio_transport_stream_dequeue */, 0 /* sdt_args string */, (uintptr_t)virtio_transport_stream_dequeue+0x0000000000000108 },
  {"__lockstat_spin__acquire",  "virtio_transport_stream_dequeue" /* .text.virtio_transport_stream_dequeue */, 0 /* sdt_args string */, (uintptr_t)virtio_transport_stream_dequeue+0x000000000000016c },
  {"__lockstat_spin__release",  "virtio_transport_stream_dequeue" /* .text.virtio_transport_stream_dequeue */, 0 /* sdt_args string */, (uintptr_t)virtio_transport_stream_dequeue+0x0000000000000210 },
  {"__lockstat_spin__acquire",  "virtio_transport_stream_has_data" /* .text.virtio_transport_stream_has_data */, 0 /* sdt_args string */, (uintptr_t)virtio_transport_stream_has_data+0x0000000000000058 },
  {"__lockstat_spin__release",  "virtio_transport_stream_has_data" /* .text.virtio_transport_stream_has_data */, 0 /* sdt_args string */, (uintptr_t)virtio_transport_stream_has_data+0x000000000000007c },
  {"__lockstat_spin__acquire",  "virtio_transport_stream_has_space" /* .text.virtio_transport_stream_has_space */, 0 /* sdt_args string */, (uintptr_t)virtio_transport_stream_has_space+0x0000000000000058 },
  {"__lockstat_spin__release",  "virtio_transport_stream_has_space" /* .text.virtio_transport_stream_has_space */, 0 /* sdt_args string */, (uintptr_t)virtio_transport_stream_has_space+0x000000000000008c },
};

#define _sdt_probec	20
